<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.drugreport.opt request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwDrugreportOptRequest
{
	/** 
	 * 单据id
	 **/
	private $billId;
	
	/** 
	 * 单据类型
	 **/
	private $billType;
	
	/** 
	 * 单据明细id
	 **/
	private $detailBillId;
	
	/** 
	 * 拒绝原因
	 **/
	private $operNote;
	
	/** 
	 * 操作类型：签收(onlySign),拒收(rejectReceive),签收并盖章(signAndSeal),盖章签收后的报告(sealAfterSign)
	 **/
	private $operType;
	
	/** 
	 * X坐标
	 **/
	private $positionX;
	
	/** 
	 * Y坐标
	 **/
	private $positionY;
	
	/** 
	 * 调用接口的企业refEntId
	 **/
	private $refEntId;
	
	/** 
	 * 印章名称，当操作类型为signAndSeal和sealAfterSign时，必填
	 **/
	private $sealName;
	
	/** 
	 * 用户id
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setBillId($billId)
	{
		$this->billId = $billId;
		$this->apiParas["bill_id"] = $billId;
	}

	public function getBillId()
	{
		return $this->billId;
	}

	public function setBillType($billType)
	{
		$this->billType = $billType;
		$this->apiParas["bill_type"] = $billType;
	}

	public function getBillType()
	{
		return $this->billType;
	}

	public function setDetailBillId($detailBillId)
	{
		$this->detailBillId = $detailBillId;
		$this->apiParas["detail_bill_id"] = $detailBillId;
	}

	public function getDetailBillId()
	{
		return $this->detailBillId;
	}

	public function setOperNote($operNote)
	{
		$this->operNote = $operNote;
		$this->apiParas["oper_note"] = $operNote;
	}

	public function getOperNote()
	{
		return $this->operNote;
	}

	public function setOperType($operType)
	{
		$this->operType = $operType;
		$this->apiParas["oper_type"] = $operType;
	}

	public function getOperType()
	{
		return $this->operType;
	}

	public function setPositionX($positionX)
	{
		$this->positionX = $positionX;
		$this->apiParas["position_x"] = $positionX;
	}

	public function getPositionX()
	{
		return $this->positionX;
	}

	public function setPositionY($positionY)
	{
		$this->positionY = $positionY;
		$this->apiParas["position_y"] = $positionY;
	}

	public function getPositionY()
	{
		return $this->positionY;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setSealName($sealName)
	{
		$this->sealName = $sealName;
		$this->apiParas["seal_name"] = $sealName;
	}

	public function getSealName()
	{
		return $this->sealName;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.drugreport.opt";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->billId,"billId");
		RequestCheckUtil::checkNotNull($this->billType,"billType");
		RequestCheckUtil::checkNotNull($this->detailBillId,"detailBillId");
		RequestCheckUtil::checkNotNull($this->operType,"operType");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->userId,"userId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
